Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::WindowSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Window. More...

`#include <xfc/gtk/windowsignals.hh>`

Inheritance diagram for Xfc::Gtk::WindowSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_focus (Widget *focus)
    Called when the focus widget for the window changes.
- virtual bool on_frame_event (const Gdk::Event &event)
    Called whenever the window receives an event targeted at the frame.
- virtual void on_keys_changed ()
    Called when the windows menmonic and/or accelerator keys have changed.

## Protected Member Functions

Constructors

- WindowSignals (Window *window)
    Constructs a new WindowSignals object.
- virtual ~WindowSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Window.

## Constructor & Destructor Documentation

Xfc::Gtk::WindowSignals::WindowSignals | ( | Window * | window | ) | `[protected]`

Constructs a new WindowSignals object.

Parameters:

  | window | A Window object inheriting the WindowSignals implementation.

## Member Function Documentation

virtual bool Xfc::Gtk::WindowSignals::on_frame_event | ( | const Gdk::Event & | event | ) | `[virtual]`

Called whenever the window receives an event targeted at the frame.

Parameters:

  | event | The Gdk::Event.

Returns:
  false to allow the default frame event handler to be called.

Returning true will prevent further propagation of this event and the default frame event handler will not be called. This handler is typically called when a user tries to resize the window frame. Returning true will prevent the frame being resized and returning false will allow the resizing to proceed.

virtual void Xfc::Gtk::WindowSignals::on_set_focus | ( | Widget * | focus | ) | `[virtual]`

Called when the focus widget for the window changes.

Parameters:

  | focus | The focus widget, or null if the focus is unset.

The documentation for this class was generated from the following file:

- windowsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3